ARP(8)

NAME
arp - manipulate the system ARP cache

SYNOPSIS
arp [-v] [-t type] -a [hostname]
arp [-v] -d hostname ...
arp [-v] [-t type] -s hostname hw_addr [temp] [netmask aa.bb.cc.dd] [pub]
arp [-v] -f filename

DESCRIPTION
Arp manipulates the kernel's ARP cache in various ways. The primary options are clearing an address mapping entry and manually setting up one. For debugging purposes, the arp program also allows a complete dump of the ARP cache.

OPTIONS

-v  Tell the user what is going on by being verbose.

-t type
    When setting or reading the ARP cache, this optional parameter tells arp which class of entries it should check for. The default value of this parameter is ether (i.e. hardware code 0x01 for IEEE 802.3 10Mbps Ethernet ARCnet (arcnet) , PROnet (pronet) and AX.25 (ax25)

-a [hostname]
    Shows the entries of the specified hosts. If the hostname parameter is not used, all entries will be displayed.

-d hostname
    Remove any entry for the specified host. This can be used if the indicated host is brought down, for example.

-s hostname hw_addr
    Manually create an ARP address mapping entry for host hostname with hardware address set to hw_addr class, but for most classes one can assume that the usual presentation can be used. For the Ethernet class, this is 6 bytes in hexadecimal, separated by colons. When adding proxy arp entries (that is those with the [pub]lish flag set a netmask may be specified to proxy arp for entire subnets. Proxy arp for routing entire networks is not a good protocol, but its sometimes useful so supported.

-f filename
    Similar to the -s option, only this time the address info is taken from file filename set up. The name of the data file is very often /etc/ethers , but this is not official.

    The format of the file is simple; it only contains ASCII text lines with a hostname, and a hardware address separated by whitespace.

In all places where a hostname is expected, one can also enter an IP address in dotted-decimal notation.

FILES
/proc/net/arp,
/etc/ethers

AUTHOR
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>